
/************************************************************************/
/*                                                                      */
/*Double-buffed version of RatingApplet.java                            */
/*                  This Applet is used to calculate and display the    */
/*                  results of public rating for local TV stations      */
/*                                                                      */
/*     Language:    JAVA 1.1.5                                          */
/*     Platform:    Pentium 233 Windows 95                              */
/*  Application:    Homework #3 for CPS606                              */
/*       Author:    Zhengshan Sun  zsun@mailbox.syr.edu                 */
/*       Note  :    Part of this program is borrowed from the class hand*/
/*                  -out "mObjApplet" and except that all the codes are */
/*                  written by myself                                   */
/************************************************************************/


import java.awt.*;

public class mbar1 extends mPoint {

  // Instance variables:
	int w, h;
  // Constructor:
  public mbar1(int _x, int _y, int _w, int _h) {
    // Invoke the constructor of the superclass mpoint:
    super(_x, _y);
    w = _w; h = _h;
  }

  // Encapsulate the instance variables:
  public void setDimension(int _w, int _h) {
    w = _w; h = _h;
  }
 
  // Override mPoint's checkBoundary method:
  public void checkBoundary(Rectangle rect) {
    // Calculate new location:
    int nx = x + dx, ny = y + dy;

    // Check if new location out of bounds:
  
   if (ny >= 320)  dy = -dy;
   if ( ny <= (320-h)) dy = 0;
   }

  // Override java.awt.Component.paint:
  public void paint(Graphics g) {
    // This is *not* mPoint's setColor method:
    g.setColor(super.color);
    g.fillRect(x, y, w, h);
  }
  
} // end of mRectangle class


